# Reward Distribution

### Reward Qualification Criteria

Every 24 hour period there is a random snapshot taken at a specific block number. At the time of this specific block, the quantity of Nucleus Default Yield Tokens that a wallet holds or has ownership over is proportional to the amount of rewards they are entitled to for that 24 hour period. This includes but is not limited to:

* The Default Yield asset itself
* LP token balances
* Collateral balances in dApps

This dynamic will render deposits that are sold or transferred before the block at which the snapshot occurs invalid to receive rewards during the 24 hour period.

### Cadence

Rewards are currently “weekly” in the sense that a set amount of rewards are set to be distributed every week, and each 24hr period qualifies a user for 1/7th of the week's rewards.

### Calculation

$$
rewardsAPY = (dailyTokenAmt\*tokenPrice ) \*365/currentTVL
$$

The APY that is shown on the Nucleus frontend is a combination of various yield sources such as Default Yield and associated network or dApp token incentives (points are NOT factored into APY calculations).&#x20;

{% hint style="info" %}
A note on fluctuating APY values:

\
Associated networks or dApps distribute specific dollar amounts of their tokens on set cadences, but if the price of an incentive token decreases in value before the distribution timeframe, it will make the dollar value claimed lower than the anticipated APY. <br>

This also can occur in the opposite direction as well. If a token's price increases right before the claim period, the dollar value of the tokens will be higher than the APY showcased at the time of deposit.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nucleusearn.io/nucleus-architecture/reward-distribution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
